DRM_ATOMIC_CRTC_STAT(9)

NAME
drm_atomic_crtc_state_for_each_plane - iterate over attached planes in new state

SYNOPSIS

drm_atomic_crtc_state_for_each_plane(plane, crtc_state);

ARGUMENTS

plane
    the loop cursor

crtc_state
    the incoming crtc-state

DESCRIPTION

Similar to drm_crtc_for_each_plane, but iterates the planes that will be attached if the specified state is applied. Useful during (for example) ->atomic_check operations, to validate the incoming state

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT